Name: lua5-rex
Version: 1.19
Release: alt1

Summary: Regular expression library for Lua
License: MIT
Group: Development/Other

URL: http://luaforge.net/projects/lrexlib/
Source: lrexlib-%version.zip

# Added by buildreq2 on Mon May 09 2005
BuildRequires: liblua5-devel libpcre-devel lua5 unzip

%description
Lrexlib is a Lua binding of POSIX and PCRE regular expression libraries.

%prep
%setup -q -n lrexlib-%version

# rpm uses unzip -L
%__mv news NEWS
%__mv readme README
%__mv changelog ChangeLog

%build
gcc -shared %optflags %optflags_shared -DLREXLIB_POSIX -DLREXLIB_PCRE \
	lrexlib.c -o rex.so -llua -llualib `pcre-config --cflags --libs`

lua5 -e 'assert(loadlib("./rex.so", "luaopen_rex"))();
	assert(rex.newPOSIX); assert(rex.newPCRE)'

%install
%__install -pD -m755 rex.so %buildroot%_libdir/lua5/rex.so
%__install -pD -m644 gsub.lua %buildroot%_datadir/lua5/gsub.lua

%files
%doc ChangeLog NEWS README
%_libdir/lua5/rex.so
%_datadir/lua5/gsub.lua

%changelog
* Mon May 09 2005 Alexey Tourbin <at@altlinux.ru> 1.19-alt1
- 1.18 -> 1.19
- removed rex.lua, compat-5.1.lua should be used instead

* Sat Sep 18 2004 Alexey Tourbin <at@altlinux.ru> 1.18-alt1
- initial revision
